Skip to content

Sends an email invitation

Request

Returns Invitation ID of the sent invitation

Security
Bearer(Required scopes: api:connect_invitation)
Body

Request details including recipient name, email, etc

templateIdstring or null

Template ID to be used for the email, if not specified the default template from configuration will be used

configNamestring or null

Customer Configuration to be used for the invite, important where customer config dictates which sort of connect flow the user will be thrown into

recipientNamestring, non-empty^([\u00c0-\u01ffa-zA-Z'\d_. \+\-\(\)]){1,100}$required

Name of the recipient (e.g. full name of the person)

recipientEmailstring, (email), non-empty^[\u00c0-\u01ffa-zA-Z0-9_\.-]+@([\u00c0-\u01f...required

Email address of the recipient to whom the email is going to be sent

customerReferencestring, non-empty^[a-zA-Z\d_. \+\-\(\)]{1,100}$required

Customer reference for this recipient, an example would be a unique identifier of this user in customer's internal systems

userIdstring or null^[A-Fa-f0-9]{8}(-[A-Fa-f0-9]{4}){3}-[A-Fa-f0-...

Optional parameter to associate the consent with the specified userId

curl -i -X POST \
  https://uk.api.atto.co/connect-invitations/v1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "templateId": "string",
    "configName": "string",
    "recipientName": "string",
    "recipientEmail": "user@example.com",
    "customerReference": "string",
    "userId": "string"
  }'

Responses

Email Invitation request sent

Headers
Locationstring
Bodyapplication/json
dataobject(ConnectInvitation)
metaobject(Meta)
Response
{ "data": { "invitationId": "550a4884-8473-4f2e-a6cf-551c16767d59" }, "meta": { "totalRecords": 0 } }